Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.sccp
Interface SccpTimerProfileMBean

public abstract interface SccpTimerProfileMBean
extends OamTimerProfileMBean, SccpManagedObjectMBean

This interface defines the specified timers for the SCCP Protocol Layer. When this SccpTimerProfile is created, the corresponding OamTimerVals should be created for each Timer with the correct min, max and default values set. The Timer values are based on the ITU and ANSI Standards.

Whenever the Protocol variant of the Protocol Layer is changed, the max, min, and default values should be automatically changed.

The comments for each Timer defined within this Timer Profile identify the default values for that Timer.

When the value of any of a timer (t) defined for this SccpTimerProfile is changed, an SccpAlarmNotification should be sent to all registered SccpAlarmNotificationListeners.
The SccpAlarmNotification (event) should have the following characterics:

- event.getSource().getClass().getName() == "jain.protocol.ss7.oam.sccp.SccpTimerProfileMBean"
- event.getType() == OamAlarmNotification.ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- event.getTimerId() == t.getTimerID()

There are no statistics that can be collected for this MBean

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- ALARM_TIMER_EXPIRED

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR
- SCCP_ERROR_ILLEGAL_TIMER_EXPIRY

Inheritance hierarchy for JAIN OAM Timer

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `getSccpTimerConnect()` Returns the ObjectName of the Timer: Timer Connect - Waiting for connection confirm message [ITU & ANSI].
`ObjectName` | `getSccpTimerCoordChg()` Returns the ObjectName of the Timer: Out-of-service Grant Timer - Waiting for grant for subsystem to go out-of-service.
`ObjectName` | `getSccpTimerGuard()` Returns the ObjectName of the Timer: Timer Guard - Waiting to resume normal procedure for temporary connection sections during the restart procedure [ITU & ANSI].
`ObjectName` | `getSccpTimerIAR()` Returns the ObjectName of the Timer: Timer IAR - Waiting to receive a message on a connection section [ITU & ANSI].
`ObjectName` | `getSccpTimerIAS()` Returns the ObjectName of the Timer: Timer IAS - Delay to send a message on a conn IT on a connection section when there are no messages to send [ITU & ANSI].
`ObjectName` | `getSccpTimerIgnoreSST()` Returns the ObjectName of the Timer: Ignore SST Timer - Delay for subsystem between receiving grant to go out-of-service and actually going out of service [ANSI].
`ObjectName` | `getSccpTimerInt()` Returns the ObjectName of the Timer: Timer Int - Waiting for release complete message; or to release connection resources, freeze the LRN and alert a maintenance function after the initial expiry [ITU].
`ObjectName` | `getSccpTimerReassembly()` Returns the ObjectName of the Timer: Reassembly Timer - Waiting to receive all the segments of the remaining segments single segmented message after receiving the first segment [ITU].
`ObjectName` | `getSccpTimerRelease()` Returns the ObjectName of the Timer: Timer Release - Waiting for release complete message [ITU & ANSI].
`ObjectName` | `getSccpTimerRepeatRelease()` Returns the ObjectName of the Timer: Timer Repeat Release - Waiting for release complete message; or to repeat sending released message after the initial expiry [ITU].
`ObjectName` | `getSccpTimerReset()` Returns the ObjectName of the Timer: Reset Timer - Waiting to release temporary connection section or alert maintenance function after reset request message is sent [ITU & ANSI].
`ObjectName` | `getSccpTimerRtgStatInfo()` Returns the ObjectName of the Timer: Routing Stat Info Timer - Delay between requests for subsystem routing status information [ANSI].

Methods inherited from interface jain.protocol.ss7.oam.OamTimerProfileMBean
`initialiseTimers`

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### getSccpTimerConnect

    public ObjectName getSccpTimerConnect()

  Returns the ObjectName of the Timer: Timer Connect - Waiting for connection confirm message [ITU & ANSI].

  Timer ID: 301
  Reference: ITU Q.714, Section C.4
  Default Values: Not Specified
  ITU & ANSI - Min: 360000 ms, Max: 720000 ms, Default: 540000 ms

### getSccpTimerGuard

    public ObjectName getSccpTimerGuard()

  Returns the ObjectName of the Timer: Timer Guard - Waiting to resume normal procedure for temporary connection sections during the restart procedure [ITU & ANSI].

  Timer ID: 302
  Reference: ITU Q.714, Section C.4, T1.112.4, Section 6.8
  Default Values: Not Specified
  ITU & ANSI - Min: 82000000 ms, Max: 90000000 ms, Default: 86000000 ms

### getSccpTimerIAR

    public ObjectName getSccpTimerIAR()

  Returns the ObjectName of the Timer: Timer IAR - Waiting to receive a message on a connection section [ITU & ANSI].

  Timer ID: 303
  Reference: ITU Q.714, Section C.4, T1.112.4, Section 6.8
  Default Values: Not Specified
  ITU & ANSI - Min: 39600000 ms, Max: 75600000 ms, Default: 62600000 ms

### getSccpTimerIAS

    public ObjectName getSccpTimerIAS()

  Returns the ObjectName of the Timer: Timer IAS - Delay to send a message on a conn IT on a connection section when there are no messages to send [ITU & ANSI].

  Timer ID: 304
  Reference: ITU Q.714, Section C.4, T1.112.4, Section 6.8
  Default Values: Not Specified
  ITU & ANSI - Min: 1800000 ms, Max: 3600000 ms, Default: 2400000 ms

### getSccpTimerInt

    public ObjectName getSccpTimerInt()

  Returns the ObjectName of the Timer: Timer Int - Waiting for release complete message; or to release connection resources, freeze the LRN and alert a maintenance function after the initial expiry [ITU]. The timer returned bySccpTimerReleasehas expired.

  Timer ID: 305
  Reference: ITU Q.714, Section C.4
  Default Values: Not Specified
  ITU - Min: 0 ms, Max: 1000 ms, Default: 500 ms

### getSccpTimerReassembly

    public ObjectName getSccpTimerReassembly()

  Returns the ObjectName of the Timer: Reassembly Timer - Waiting to receive all the segments of the remaining segments single segmented message after receiving the first segment [ITU].

  Timer ID: 306
  Reference: ITU Q.714, Section C.4, T1.112.4, Section 6.8
  Default Values: Not Specified
  ITU - Min: 10000 ms, Max: 20000 ms, Default: 15000 ms

### getSccpTimerRelease

    public ObjectName getSccpTimerRelease()

  Returns the ObjectName of the Timer: Timer Release - Waiting for release complete message [ITU & ANSI].

  Timer ID: 307
  Reference: ITU Q.714, Section C.4
  Default Values: Not Specified
  ITU & ANSI - Min: 10000 ms, Max: 20000 ms, Default: 1500 ms

### getSccpTimerRepeatRelease

    public ObjectName getSccpTimerRepeatRelease()

  Returns the ObjectName of the Timer: Timer Repeat Release - Waiting for release complete message; or to repeat sending released message after the initial expiry [ITU].

  Timer ID: 308
  Reference: ITU Q.714, Section C.4
  Default Values: Not Specified
  ITU - Min: 10000 ms, Max: 20000 ms, Default: 1500 ms

### getSccpTimerReset

    public ObjectName getSccpTimerReset()

  Returns the ObjectName of the Timer: Reset Timer - Waiting to release temporary connection section or alert maintenance function after reset request message is sent [ITU & ANSI].

  Timer ID: 309
  Reference: ITU Q.714, Section C.4, T1.112.4, Section 6.8
  Default Values: Not Specified
  ITU & ANSI - Min: 10000 ms, Max: 20000 ms, Default: 15000 ms

### getSccpTimerCoordChg

    public ObjectName getSccpTimerCoordChg()

  Returns the ObjectName of the Timer: Out-of-service Grant Timer - Waiting for grant for subsystem to go out-of-service. [ANSI].

  Timer ID: 309
  Reference: T1.112.4, Section 6.8
  Default Values: Not Specified
  ANSI - Min: not specified, Max: not specified, Default: 30,000 ms

### getSccpTimerIgnoreSST

    public ObjectName getSccpTimerIgnoreSST()

  Returns the ObjectName of the Timer: Ignore SST Timer - Delay for subsystem between receiving grant to go out-of-service and actually going out of service [ANSI].

  Timer ID: 309
  Reference: T1.112.4, Section 6.8
  Default Values: Not Specified
  ANSI - Min: not specified, Max: not specified, Default: 30,000 ms

### getSccpTimerRtgStatInfo

    public ObjectName getSccpTimerRtgStatInfo()

  Returns the ObjectName of the Timer: Routing Stat Info Timer - Delay between requests for subsystem routing status information [ANSI].

  Timer ID: 309
  Reference: T1.112.4, Section 6.8
  Default Values: Not Specified
  ANSI - Min: not specified, Max: not specified, Default: 30,000 ms

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems